<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%
    String basePath = request.getContextPath();
%>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover " >
        <thead>
        <tr>
            <th>需求名称</th>
            <th>需求来源</th>
            <th>需求类型</th>
            <th>需求摘要</th>
            <th>发布日期</th>
            <th>状态</th>
            <th class="hidden-print">操 作</th>
        </tr>
        </thead>
        <tbody>
        <c:choose>
            <c:when test="${list!=null}">
                <c:forEach items="${list}" var="item" >
                    <tr>
                        <td><a href="javascript:void(0)" onclick="showItem(${item.rqrmntId})">${item.rqrmntName}</a> </td>
                        <td>${item.rqrmntSource}</td>
                        <td>${item.rqrmntType}</td>
                        <td>${item.rqrmntSummary}</td>
                        <td><fmt:formatDate value="${item.createdAt}" pattern="yyyy-MM-dd"/></td>
                        <td>${item.rqrmntState}</td>
                        <td class="btn-table hidden-print">
                            <input type="hidden" name="id" value="${item.rqrmntId}" />
                            <c:if test="${item.rqrmntState.trim().equals('审核中')}">
                                 <button name="btnAudit" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>审核</button>
                            </c:if>
                            <c:if test="${item.rqrmntState.trim().equals('审核不通过')||item.rqrmntState.trim().equals('已下架')}">
                            </c:if>
                            <c:if test="${item.rqrmntState.trim().equals('已关闭')||item.rqrmntState.trim().equals('进行中')}">
                                <button name="btnUnShelve" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>下架</button>
                            </c:if>
                            <c:if test="${item.rqrmntState.trim().equals('进行中')}">
                                <button name="btnReceive" class="btn btn-sm btn-primary m-r-sm"><i class="fa fa-edit"></i>接单</button>
                            </c:if>
                        </td>
                    </tr>
                </c:forEach>
            </c:when>
            <c:otherwise>
                <tr>
                    <td colspan="4">无数据</td>
                </tr>
            </c:otherwise>
        </c:choose>
        </tbody>
    </table>
</div>
<jsp:include page="../../../common/admin/pager.jsp">
    <jsp:param name="pageNo" value="${pager.pageNo}"/>
    <jsp:param name="pageSize" value="${pager.pageSize}"/>
    <jsp:param name="total" value="${pager.total}"/>
</jsp:include>
<script type="text/javascript">
    function showItem(id) {
        $.popBsPartial({ url: "<%=basePath%>/admin/microapp/info/" + id });
    }
    $("#divGrid table tbody tr td:last-child")
        .on("click", "button[name='btnAudit']", function () {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.popBsPartial({ url: "<%=basePath%>/admin/microapp/aduit/" + id });
        })
        .on("click", "button[name='btnUnShelve']", function() {
            var id = $(this).parent().children("input[type='hidden'][name='id']").val();
            $.popBsPartial({url:"<%=basePath%>/admin/microapp/unshelve/"+id});
        })
    .on("click", "button[name='btnReceive']", function() {
        var id = $(this).parent().children("input[type='hidden'][name='id']").val();
        $.popBsPartial({url:"<%=basePath%>/admin/microapp/receive.htm/"+id});
    });

</script>