<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"  %>
<%
    String basePath = request.getContextPath();
%>
<jsp:include page="../../../common/admin/modal_content_pre.jsp"><jsp:param name="modal_title" value="编辑"/></jsp:include>
<form id="formEdit" action="<%=basePath%>/admin/refund/doEdit.action" method="post" role="form">
    <input type="hidden" name="id" value="${busiModel.id}" />

    <div class="form-group">
        <label for="orderNumber">订单编号</label>
        <input id="orderNumber" name="orderNumber" <c:if test="${not empty busiModel.orderNumber}">disabled</c:if> value="${busiModel.orderNumber}" class="form-control" rows="3" cols="20"></input>
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="username">用户名</label>
        <input type="text" id="username" name="username" value="${busiModel.username}" class="form-control" />
        <span class="help-block"></span>
    </div>

    <div class="form-group">
        <label for="refundAmount">退款金额</label>
        <input type="number" id="refundAmount" name="refundAmount" value="${busiModel.refundAmount}" οninput="value=value.replace(/[^\d]/g,'')" class="form-control" />
        <span class="help-block"></span>
    </div>
    <div class="form-group">
        <label for="operatorName">退款操作人姓名</label>
        <input type="text" id="operatorName" name="operatorName" value="${busiModel.operatorName}" class="form-control" />
        <span class="help-block"></span>
    </div>

<%--<div class="form-group">
    <label for="createdAt">注册日期</label>
    <div class="input-group date">
        <input type="text" id="createdAt" readonly name="createdAt" value="<fmt:formatDate value='${busiModel.createdAt}' type='date' pattern="yyyy-MM-dd"/>"  class="form-control" />
        <span class="input-group-addon">
            <span class="glyphicon glyphicon-calendar"></span>
        </span>
    </div>
    <span class="field-validation-valid help-block"></span>
</div>--%>
<div class="form-group">
    <label for="description">描述</label>
    <textarea id="description" name="description"  class="form-control" rows="3" cols="20">
        ${busiModel.description}
    </textarea>
    <span class="field-validation-valid help-block"></span>
</div>
</form>
<jsp:include page="../../../common/admin/modal_content_post.jsp"></jsp:include>
<jsp:include page="../../../common/admin/modal_footer_pre.jsp"></jsp:include>
<button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-close"></i>取消</button>
<button type="button" id="btnSave" class="btn btn-primary"><i class="fa fa-check"></i>保存</button>
<script type="text/javascript">
$("#btnSave").click(function() {
    $('#formEdit').ajaxSubmitCloseRefresh();
});

$(".input-group.date").datetimepicker({
    format: "YYYY-MM-DD",
    locale: "zh-cn"
});
</script>
<jsp:include page="../../../common/admin/modal_footer_post.jsp"></jsp:include>